<template>
  <div class="columns is-vcentered is-centered  is-mobile">
    <div class="column is-narrow">
      <mt-box class="mt-date is-uppercase">
        <div class="is-size-4 has-text-weight-bold">{{ startDayFormatted }}</div>
        <div class="is-size-5 has-text-grey">{{ startFormatted }}</div>
      </mt-box>
    </div>
    <div class="column is-narrow">
      <div class="union">
        <b-icon icon="arrow-right" />
      </div>
    </div>
    <div class="column is-narrow">
      <mt-box class="mt-date is-uppercase">
        <div class="is-size-4 has-text-weight-bold">{{ endDayFormatted }}</div>
        <div class="is-size-5 has-text-grey">{{ endFormatted }}</div>
      </mt-box>
    </div>
  </div>
</template>

<script>
import { DateTime } from 'luxon';
import MtBox from '~/components/base/box';

export default {
  components: {
    MtBox,
  },
  props: {
    start: {
      type: Date,
      default: () => new Date(),
    },
    end: {
      type: Date,
      default: () => new Date(),
    },
  },
  computed: {
    startDayFormatted() {
      return DateTime.fromJSDate(this.start)
        .setLocale('fr')
        .toFormat('dd');
    },
    endDayFormatted() {
      return DateTime.fromJSDate(this.end)
        .setLocale('fr')
        .toFormat('dd');
    },
    startFormatted() {
      return DateTime.fromJSDate(this.start)
        .setLocale('fr')
        .toFormat('LLL yyyy');
    },
    endFormatted() {
      return DateTime.fromJSDate(this.end)
        .setLocale('fr')
        .toFormat('LLL yyyy');
    },
  },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
.column {
  text-align: center;
}
.mt-date {
  max-width: 80px;
  margin: 0 1.5rem;
}
/deep/ {
  .box {
    padding: 1rem;
  }
}
</style>
